Skip to main content
POST
C#
This endpoint requires the transactions.write scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

payment_service_definition_id
string
required
Example:

"adyen-ideal"

Body

application/json

The JSON payload to sent to the payment service's session API.

Response

Successful Response

The session data received from the payment service.

status
enum<string>
required

The status of the response.

Available options:
succeeded,
failed
Example:

"succeeded"

type
string
default:payment-service-session

Always payment-service-session.

Allowed value: "payment-service-session"
Example:

"payment-service-session"

code
string | null

A generic error code that may be returned when the session could not be generated.

Example:

"UNKNOWN_ERROR"

status_code
integer | null

The HTTP status code received from the payment service.

Example:

201

response_body
Response Body · object | null

The JSON response body received from the payment service.

Example: